Skip to main content

Forward Create Order API:

Description : Use this API to create an order on the RapidShyp platform.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/create_order
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/create_order' \
--header 'rapidshyp-token: e779a465**********************1f34b64805e' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "EXTI_28",
"orderDate": "2024-08-08",
"pickupAddressName": "Seller 201301",
"pickupLocation": {
"contactName": "",
"pickupName": "",
"pickupEmail": "",
"pickupPhone": "",
"pickupAddress1": "",
"pickupAddress2": "",
"pinCode": ""
},
"rto_Location":
{
"rto_locationName":"RAPIDwsQAA",
"contactName": "RAPIDQasA",
"rtoEmail": "abc@gmail.com",
"rtoPhone": "9999999999",
"rtoAddress1": "aRAPIDQA",
"rtoAddress2": "",
"rtopinCode": "201301"
},
"storeName": "DEFAULT",
"billingIsShipping": true,
"shippingAddress": {
"firstName": "Mahesh Mehra",
"lastName": "EXT",
"addressLine1": "Delhi",
"addressLine2": "New Delhi",
"pinCode": "110002",
"email": "abc@gmail.com",
"phone": "9999999999"
},
"billingAddress": {
"firstName": "Jane",
"lastName": "Doegghgh",
"addressLine1": "456 Elm St",
"addressLine2": "Apt 101",
"pinCode": "110002",
"email": "jane.doe@example.com",
"phone": "9999999999"
},
"orderItems": [
{
"itemName": "Product 2",
"sku": "TEST14",
"description": "Description of product 1",
"units": 1,
"unitPrice": 10.0,
"tax": 0.0,
"hsn": "HSN123",
"productLength": 10.0,
"productBreadth": 5.0,
"productHeight": 2.0,
"productWeight": 0.5,
"brand": "Brand A",
"imageURL": "https://abcd.jpeg",
"isFragile": false,
"isPersonalisable": false,
"pickupAddressName" :""
},
{
"itemName": "Product 3",
"sku": "TEST18",
"description": "Description of product 2",
"units": 2,
"unitPrice": 20.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 15.0,
"productBreadth": 7.0,
"productHeight": 3.0,
"productWeight": 0.8,
"brand": "Brand B",
"imageURL": "https://abcd.jpeg",
"isFragile": false,
"isPersonalisable": false,
"pickupAddressName" :""
}
],
"paymentMethod": "PREPAID",
"shippingCharges": 100.0,
"giftWrapCharges": 10.0,
"transactionCharges": 20.0,
"totalDiscount": 5.0,
"codCharges": 20.0,
"prepaidAmount": 50.0,
"packageDetails": {
"packageLength": 20.0,
"packageBreadth": 10.0,
"packageHeight": 5.0,
"packageWeight": 2000.0
}
}'

Request ParametersRequiredRemarkValidation
{
orderIdMandatorySeller order ID on channel/store/websiteMinimum 1 character
orderDateMandatoryOrder created date on channel/store/websiteFormat: YYYY-MM-DD
pickupAddressNameConditionally-MandatoryPickup name created on Rapidshyp platformAPI user can either pass pickup name or create pickup. If both details are shared, system will create order on the pickup name provided and will not create a new pickup location.
pickupLocationConditionally-MandatoryCreate pickup location on order creation itself
{
contactNameMandatoryLocation contact POC nameMinimum 1 character
pickupNameMandatoryName of the warehouse/storePickup address name must be between 3 and 75 characters long
pickupEmailMandatoryLocation contact POC email
pickupPhoneMandatoryLocation contact POC phone numberPhone number must start from 6,7,8,9
pickupAddress1MandatoryWarehouse/store address line 1Pickup address line 1 must be between 3 and 100 characters long
pickupAddress2Non-MandatoryWarehouse/store address line 2If entered, Pickup address line 2 must be between 3 and 100 characters long
pinCodeMandatoryLocation PincodeMust be 6 digit valid pincode
},
rto_LocationNon-MandatoryDetails of RTO location if different than pickup locationIf user is adding RTO location then all the fields are mandatory to fill otherwise the RTO location would be considered as the pickup location
{
rto_locationNameNon-Mandatory
contactNameMandatoryLocation contact POC name
pickupEmailNon-MandatoryLocation contact POC email
rtoPhoneNon-MandatoryLocation contact POC phone numberPhone number must start from 6,7,8,9
rtoAddress1Non-MandatoryWarehouse/store address line 1Pickup address line 1 must be between 3 and 100 characters long
rtoAddress2Non-MandatoryWarehouse/store address line 2If entered, Pickup address line 2 must be between 3 and 100 characters long
rtoPinCodeNon-MandatoryLocation PincodeMust be 6 digit valid pincode
},
storeNameMandatoryStore name created on RapidshypIf you have one custom channel, pass "DEFAULT"
billingIsShippingMandatoryPass true if both shipping and billing is same. In case false, Billing address can’t be empty
shippingAddressMandatory
{
firstNameMandatoryCustomer first nameThe combined length of the first and last name in the shipping address must be between 3 and 75 characters.
lastNameNon-MandatoryCustomer last name
addressLine1MandatoryCustomer address line 1Shipping address line 1 must be between 3 and 100 characters long
addressLine2Non-MandatoryCustomer address line 2If entered, Shipping address line 2 must be between 3 and 100 characters long
pinCodeMandatoryCustomer address pincodeMust be 6 digit valid pincode
emailNon-MandatoryCustomer email
phoneMandatoryCustomer phone numberPhone number must start from 6,7,8,9
},
billingAddressConditionally-MandatoryOnly pass incase billingIsShipping: false
{
firstNameMandatoryBilling customer first nameThe combined length of the first and last name in the shipping address must be between 3 and 75 characters.
lastNameNon-MandatoryBilling customer last name
addressLine1MandatoryBilling customer address line 1Billing address line 1 must be between 3 and 100 characters long
addressLine2Non-MandatoryBilling customer address line 2If entered, Billing address line 2 must be between 3 and 100 characters long
pinCodeMandatoryBilling customer address pincodeMust be 6 digit valid pincode
emailMandatoryBilling customer email
phoneMandatoryBilling customer phone numberPhone number must start from 6,7,8,9
},
orderItemsMandatoryItem level details
{
itemNameMandatoryItem nameOrder line item name must be between 3 and 200 characters long
skuNon-MandatoryItem SKU IdOrder line item sku must be between 3 and 200 characters long
descriptionNon-MandatoryDescription of productMinimum 1 character
unitsMandatoryQuantity of itemsItem quantity must be greater than 0 in items.
unitPriceMandatoryUnit price of SKU inclusive of TaxesItem unit price must be greater than 0 in items.
taxMandatoryTaxPass 0 in case of zero tax item
hsnNon-MandatoryHSN code
productLengthNon-MandatoryProduct dimension lengthIn cm
productBreadthNon-MandatoryProduct dimension breadthIn cm
productHeightNon-MandatoryProduct dimension heightIn cm
productWeightNon-MandatoryProduct dimension weightIn gm
brandNon-MandatoryBrand of product
imageURLNon-MandatoryImage URL
isFragileNon-MandatoryIf fragile item, pass true
isPersonalisableNon-MandatoryIf personalisable, pass true
pickupAddressNameNon-MandatoryDefine pickup location at item level to create multi-shipment for an order
},
],
paymentMethodMandatoryPayment mode of orderPayment mode — please choose from [COD, PREPAID]
shippingChargesNon-MandatoryShipping charges
giftWrapChargesNon-MandatoryGift wrap charges
transactionChargesNon-MandatoryTransaction charges
totalDiscountNon-MandatoryTotal discount
totalOrderValueMandatoryTotal order value
codChargesNon-MandatorycodCharges
prepaidAmountNon-MandatoryprepaidAmountPass partially paid amount in case of partial paid order. System then calculates collectable amount. Prepaid amount is only applicable on COD payment mode.
packageDetailsMandatory
{
packageLengthMandatorypackageLengthIn cm
packageBreadthMandatorypackageBreadthIn cm
packageHeightMandatorypackageHeightIn cm
packageWeightMandatorypackageWeightIn gm
}
}

Response:

JSON
{

"status": "SUCCESS",

"remarks": "order created successfully.",

"order_id": "ORD12345",

"shipment": []

}

In the create order API you can use existing pickup location/create a pickup location/define pickup location on items.

Pickup location logic in request payload:

  • Users can either enter pickup location on an order or on item level.
  • If a user enters a pickup location on an order level,he can either use the existing pickup location or create a pickup location on order level.
  • Incase he creates pickup on order level, new pickup location will be created in system and the rto address will be same as the pickup location created
  • Users can only enter the pickup location name on item level. System won't provide pickup location creation on item level.
  • If Users define pickup location on item level, the system will create orders with multiple shipment assigned to location provided in item line.